CommitLog.Configuration (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db.commitlog

## Class CommitLog.Configuration

- java.lang.Object
- - org.apache.cassandra.db.commitlog.CommitLog.Configuration

- Enclosing class:
    CommitLog

      public static final class CommitLog.Configuration
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Configuration(ParameterizedClass compressorClass)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ICompressor` | `getCompressor()` Returns the compressor used to compress the segments.
    `ParameterizedClass` | `getCompressorClass()` Returns the compressor class.
    `java.lang.String` | `getCompressorName()` Returns the compressor name.
    `boolean` | `useCompression()` Checks if the segments must be compressed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Configuration

          public Configuration(ParameterizedClass compressorClass)

  - ### Method Detail

    - #### useCompression

          public boolean useCompression()

      Checks if the segments must be compressed.
      Returns:
        `true` if the segments must be compressed, `false` otherwise.

    - #### getCompressor

          public ICompressor getCompressor()

      Returns the compressor used to compress the segments.
      Returns:
        the compressor used to compress the segments

    - #### getCompressorClass

          public ParameterizedClass getCompressorClass()

      Returns the compressor class.
      Returns:
        the compressor class

    - #### getCompressorName

          public java.lang.String getCompressorName()

      Returns the compressor name.
      Returns:
        the compressor name.

Copyright © 2018 The Apache Software Foundation